body {
  height: 100vh;
  padding: 0px;
  height: 100vh;
  margin: 0;
}

body {
  /*color: #333;*/
  color: #282828;
  box-sizing: border-box;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
}

a {
  color: rgb(0, 100, 200);
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

a:visited {
  color: rgb(0, 80, 160);
}

label {
  display: block;
}

input,
button,
select,
textarea {
  font-family: inherit;
  font-size: inherit;
  padding: 0.4em;
  margin: 0 0 0.5em 0;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 2px;
}

input:disabled {
  color: #ccc;
}

input[type="range"] {
  height: 0;
}

button {
  color: #333;
  background-color: #f4f4f4;
  outline: none;
}

button:disabled {
  color: #999;
}

button:not(:disabled):active {
  background-color: #ddd;
}

button:focus {
  border-color: #666;
}
.centrado {
  text-align: center;
}

.admin_background {
  background-image: url(imagenes/walpaper_admin.jpg);
}

/**===== wave1 =====*/

#wave1_subir_pedido {
  display: block;
  position: absolute;
  right: 20vw;
  height: 50px;
  width: 50px;
  margin: -25px 0 0 -25px;
  border-radius: 50%;
}
#wave1_subir_pedido:before,
#wave1_subir_pedido:after {
  content: "";
  border: 2px solid #222d32;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  position: absolute;
  left: 0px;
}

#wave1_subir_pedido:before {
  -webkit-transform: scale(1, 1);
  -ms-transform: scale(1, 1);
  transform: scale(1, 1);
  opacity: 1;
  -webkit-animation: spWaveBe 0.6s infinite linear;
  animation: spWaveBe 0.6s infinite linear;
}

#wave1_subir_pedido:after {
  -webkit-transform: scale(0, 0);
  -ms-transform: scale(0, 0);
  transform: scale(0, 0);
  opacity: 0;
  -webkit-animation: spWaveAf 0.6s infinite linear;
  animation: spWaveAf 0.6s infinite linear;
}

#wave1 {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  height: 50px;
  width: 50px;
  margin: -25px 0 0 -25px;
  border-radius: 50%;
}

#wave1:before,
#wave1:after {
  content: "";
  border: 2px solid #858585;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  position: absolute;
  left: 0px;
}

#wave1:before {
  -webkit-transform: scale(1, 1);
  -ms-transform: scale(1, 1);
  transform: scale(1, 1);
  opacity: 1;
  -webkit-animation: spWaveBe 0.6s infinite linear;
  animation: spWaveBe 0.6s infinite linear;
}

#wave1:after {
  -webkit-transform: scale(0, 0);
  -ms-transform: scale(0, 0);
  transform: scale(0, 0);
  opacity: 0;
  -webkit-animation: spWaveAf 0.6s infinite linear;
  animation: spWaveAf 0.6s infinite linear;
}

@-webkit-keyframes spWaveAf {
  from {
    -webkit-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    opacity: 0;
  }
  to {
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
    opacity: 1;
  }
}
@keyframes spWaveAf {
  from {
    -webkit-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    -webkit-transform: scale(0.5, 0.5);
    transform: scale(0.5, 0.5);
    opacity: 0;
  }
  to {
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
    opacity: 1;
  }
}
@-webkit-keyframes spWaveBe {
  from {
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
    opacity: 1;
  }
  to {
    -webkit-transform: scale(1.5, 1.5);
    transform: scale(1.5, 1.5);
    opacity: 0;
  }
}
@keyframes spWaveBe {
  from {
    -webkit-transform: scale(1, 1);
    transform: scale(1, 1);
    opacity: 1;
  }
  to {
    -webkit-transform: scale(1.5, 1.5);
    transform: scale(1.5, 1.5);
    opacity: 0;
  }
}
/** END of wave1 */

.texto-izq {
  text-align: left;
}
.izquierda {
  text-align: left;
}

.indice_row {
  color: gray;
  font-weight: 500;
  font-size: 0.8em;
}

.caracteristica {
  text-align: left;
  font-size: 0.9em;
}

.contenedor_ventana {
  background: rgba(255, 255, 255, 0.349);
  margin: 0px 29px;

  max-height: calc(100vh - 240px);
  padding: 15px;
}

.imagen_row {
  grid-area: imagen_perfil;
  overflow: hidden;
  border-radius: 30px;
  padding-bottom: 0px;
  text-align: center;
  box-shadow: 0px 5px 8px 0px rgb(148, 148, 148);
  height: 50px;
  width: 50px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  border: 1px solid#b3d72e;
}

.imagen_row_circular {
  grid-area: imagen_perfil;
  overflow: hidden;
  border-radius: 50px;
  padding-bottom: 0px;
  text-align: center;
  box-shadow: 0px 5px 8px 0px rgb(148, 148, 148);
  height: 50px;
  width: 50px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  border: 1px solid #f9f9f9;
}

.letra_chica {
  font-size: 0.8em;
  color: gray;
  font-weight: 200;
}

.pointer {
  cursor: pointer;
}

.titulo_formulario {
  font-size: 1.2em;
  font-weight: 200;
}

.centrado {
  text-align: center;
}

.subrayado {
  text-decoration: underline;
}
.vertical-alineado {
  vertical-align: middle;
}
.lista_vacia {
  margin-top: 32vh;
}

.herramientas {
  color: #40f;
}

.no_select {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none; /* Non-prefixed version, currently
									supported by Chrome, Opera and Firefox */
}

.row_actualizado {
  animation-name: row_actualizado;
  animation-duration: 0.8s;
}

@keyframes row_actualizado {
  from {
    background-color: rgba(43, 120, 254, 0.486);
  }
  to {
    background-color: rgba(43, 120, 254, 0);
  }
}

.imagen_perfil_producto {
  max-width: 393px;
}

.capitalizacion {
  text-transform: capitalize;
}

.derecha {
  text-align: right;
}

.izquierda {
  text-align: right;
}

.full-with{
  width: 100vw;
}

.display-flex{
  display: flex;
}


.col60px{
  width: 60%;
}
.col50px{
  width: 50%;
}
.col40px{
  width: 40%;
}
.col30px{
  width: 30%;
}
.col20px{
  width: 20%;
}

.jsutificado{
  text-align: justify;
}

.flex-wrap{
  flex-wrap: wrap;
}
.noSelect {
  -webkit-tap-highlight-color: transparent; 
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}


.centrado{
  text-align: center;
}


img{user-drag: none; 
  user-select: none;
  -moz-user-select: none;
  -webkit-user-drag: none;
  -webkit-user-select: none;
  -ms-user-select: none;}


  .full-withp{
    width: 100%;
  }